<?php
require XOOPS_ROOT_PATH . '/themes/school2022/bg_config.php';
$i = 0;

$i++;
$theme_config[$i]['name'] = "top_display_type";
$theme_config[$i]['text'] = TF_DISPLAY_TYPE;
$theme_config[$i]['desc'] = TF_DISPLAY_TYPE_DESC;
$theme_config[$i]['type'] = "selectpicker";
$theme_config[$i]['options'] = ['not_full' => TF_DISPLAY_TYPE_NOT_FULL, 'bg_full' => TF_DISPLAY_TYPE_BG_FULL, 'all_full' => TF_DISPLAY_TYPE_ALL_FULL];
$theme_config[$i]['images'] = ['not_full' => XOOPS_URL . '/modules/tad_themes/images/dt_not_full.png', 'bg_full' => XOOPS_URL . '/modules/tad_themes/images/dt_bg_full.png', 'all_full' => XOOPS_URL . '/modules/tad_themes/images/dt_all_full.png'];
$theme_config[$i]['default'] = "bg_full";

$i++;
$theme_config[$i]['name'] = "top_shadow";
$theme_config[$i]['text'] = TF_SHADOW;
$theme_config[$i]['desc'] = TF_SHADOW_DESC;
$theme_config[$i]['type'] = "checkbox";
$theme_config[$i]['options'] = ['t' => TF_TOP, 'b' => TF_BOTTOM, 'l' => TF_LEFT, 'r' => TF_RIGHT];
$theme_config[$i]['default'] = ["b"];

$i++;
$theme_config[$i]['name'] = "top_padding";
$theme_config[$i]['text'] = TF_PADDING_MARGIN;
$theme_config[$i]['desc'] = TF_PADDING_MARGIN_DESC;
$theme_config[$i]['type'] = "padding_margin";
$theme_config[$i]['default'] = "6px 0px";
$theme_config[$i]['mt'] = "0px";
$theme_config[$i]['mb'] = "2rem";

$i++;
$theme_config[$i]['name'] = "top_zindex";
$theme_config[$i]['text'] = TF_ZINDEX;
$theme_config[$i]['desc'] = TF_ZINDEX_DESC;
$theme_config[$i]['type'] = "text";
$theme_config[$i]['default'] = "11";

$i++;
$theme_config[$i]['name'] = "top_border_radius";
$theme_config[$i]['text'] = TF_BORDER_RADIUS;
$theme_config[$i]['desc'] = TF_BORDER_RADIUS_DESC;
$theme_config[$i]['type'] = "text";
$theme_config[$i]['default'] = "0px";

$i++;
$theme_config[$i]['name'] = "top_content_bgcolor";
$theme_config[$i]['text'] = TF_CONTENT_BGCOLOR;
$theme_config[$i]['desc'] = TF_CONTENT_BGCOLOR_DESC;
$theme_config[$i]['type'] = "color";
$theme_config[$i]['default'] = "transparent";

$i++;
$theme_config[$i]['name'] = "top_side_bgcolor";
$theme_config[$i]['text'] = TF_SIDE_BGCOLOR;
$theme_config[$i]['desc'] = TF_SIDE_BGCOLOR_DESC;
$theme_config[$i]['type'] = "color";
$theme_config[$i]['default'] = "#ffda05aa";

$i++;
$theme_config[$i]['name'] = "top_img";
$theme_config[$i]['text'] = TF_BG_IMG;
$theme_config[$i]['desc'] = TF_BG_IMG_DESC;
$theme_config[$i]['type'] = "bg_file";
$theme_config[$i]['default'] = "";
$theme_config[$i]['options'] = $bg_file;
$theme_config[$i]['repeat'] = "no-repeat";
$theme_config[$i]['position'] = "left top";
$theme_config[$i]['size'] = "contain";

$i++;
$theme_config[$i]['name'] = "top_height";
$theme_config[$i]['text'] = TF_HEIGHT;
$theme_config[$i]['desc'] = TF_HEIGHT_DESC;
$theme_config[$i]['type'] = "text";
$theme_config[$i]['default'] = "40px";

$i++;
$theme_config[$i]['name'] = "top_color";
$theme_config[$i]['text'] = TF_COLOR;
$theme_config[$i]['desc'] = TF_COLOR_DESC;
$theme_config[$i]['type'] = "color";
$theme_config[$i]['default'] = "";

$i++;
$theme_config[$i]['name'] = "top_style";
$theme_config[$i]['text'] = TF_STYLE;
$theme_config[$i]['desc'] = TF_STYLE_DESC;
$theme_config[$i]['type'] = "textarea";
$theme_config[$i]['default'] = "";

$i++;
$theme_config[$i]['name'] = "top_cols";
$theme_config[$i]['text'] = TF_3COLS;
$theme_config[$i]['desc'] = TF_3COLS_DESC;
$theme_config[$i]['type'] = "text";
$theme_config[$i]['default'] = "5-0-7";

$i++;
$theme_config[$i]['name'] = "top_left";
$theme_config[$i]['text'] = TF_TOP_LEFT . TF_CONTENT;
$theme_config[$i]['desc'] = TF_TOP_LEFT . TF_CONTENT_DESC;
$theme_config[$i]['type'] = "custom_zone";
$theme_config[$i]['default'] = "[\"search\",\"fa-icon\"]";
$theme_config[$i]['block'] = "";
$theme_config[$i]['html_content'] = "";
$theme_config[$i]['html_content_desc'] = "TF_HTML_CONTENT_DESC";
$theme_config[$i]['fa_content'] = "https://www.facebook.com|fa-facebook|dark|_blank|學校粉專
https://www.youtube.com|fa-youtube|dark|_blank|學校頻道
/modules/tadnews/rss.php|fa-rss|dark|_self|RSS文摘";
$theme_config[$i]['fa_content_desc'] = "TF_FA_CONTENT_DESC";
$theme_config[$i]['menu_content'] = "";
$theme_config[$i]['menu_content_desc'] = "TF_MENU_CONTENT_DESC";

$i++;
$theme_config[$i]['name'] = "top_center";
$theme_config[$i]['text'] = TF_TOP_CENTER . TF_CONTENT;
$theme_config[$i]['desc'] = TF_TOP_CENTER . TF_CONTENT_DESC;
$theme_config[$i]['type'] = "custom_zone";
$theme_config[$i]['default'] = "";
$theme_config[$i]['block'] = "";
$theme_config[$i]['html_content'] = "";
$theme_config[$i]['html_content_desc'] = "TF_HTML_CONTENT_DESC";
$theme_config[$i]['fa_content'] = "";
$theme_config[$i]['fa_content_desc'] = "TF_FA_CONTENT_DESC";
$theme_config[$i]['menu_content'] = "";
$theme_config[$i]['menu_content_desc'] = "TF_MENU_CONTENT_DESC";

$i++;
$theme_config[$i]['name'] = "top_right";
$theme_config[$i]['text'] = TF_TOP_RIGHT . TF_CONTENT;
$theme_config[$i]['desc'] = TF_TOP_RIGHT . TF_CONTENT_DESC;
$theme_config[$i]['type'] = "custom_zone";
$theme_config[$i]['default'] = "[\"block\"]";
$theme_config[$i]['block'] = "";
$theme_config[$i]['html_content'] = "";
$theme_config[$i]['html_content_desc'] = "TF_HTML_CONTENT_DESC";
$theme_config[$i]['fa_content'] = "";
$theme_config[$i]['fa_content_desc'] = "TF_FA_CONTENT_DESC";
$theme_config[$i]['menu_content'] = "";
$theme_config[$i]['menu_content_desc'] = "TF_MENU_CONTENT_DESC";
